diff d74e8759c3cda6ae1cd9d5245e1bb0b85ee89b01 /usr/ports
blob - 321261d8413900c25414ec2cc6baec774081e429
file + net/synapse/Makefile
--- net/synapse/Makefile
+++ net/synapse/Makefile
@@ -2,7 +2,7 @@
 
 COMMENT =	open network for secure, decentralized communication
 
-MODPY_EGG_VERSION =	1.33.2
+MODPY_EGG_VERSION =	1.40.0
 
 GH_ACCOUNT =	matrix-org
 GH_PROJECT =	synapse
@@ -27,6 +27,8 @@ RUN_DEPENDS =	textproc/py-lxml${MODPY_FLAVOR} \
 		textproc/py-unpaddedbase64${MODPY_FLAVOR} \
 		textproc/py-signedjson${MODPY_FLAVOR} \
 		textproc/py-canonicaljson${MODPY_FLAVOR} \
+		textproc/py-ijson${MODPY_FLAVOR} \
+		textproc/py-ijson${MODPY_FLAVOR} \
 		devel/py-asn1${MODPY_FLAVOR} \
 		devel/py-blist${MODPY_FLAVOR} \
 		devel/py-jsonschema${MODPY_FLAVOR} \
blob - e92c93172b70ff8e864a97ba3751ff7823122889
file + net/synapse/distinfo
--- net/synapse/distinfo
+++ net/synapse/distinfo
@@ -1,2 +1,2 @@
-SHA256 (synapse-1.33.2.tar.gz) = XgqTTbpZlOwQLpS6Mj6IdGua7GzKrgO6LJR4Cm2/65c=
-SIZE (synapse-1.33.2.tar.gz) = 7275914
+SHA256 (synapse-1.40.0.tar.gz) = D708mem1tKNP87xW3bdUPe4DayLaRkMDzGun75FgCBg=
+SIZE (synapse-1.40.0.tar.gz) = 7409547
blob - 4b3a42fcd4980b018eeeeb6bbf2b260caf07db64
file + net/synapse/patches/patch-synapse_python_dependencies_py
--- net/synapse/patches/patch-synapse_python_dependencies_py
+++ net/synapse/patches/patch-synapse_python_dependencies_py
@@ -3,13 +3,13 @@ $OpenBSD: patch-synapse_python_dependencies_py,v 1.1 2
 Index: synapse/python_dependencies.py
 --- synapse/python_dependencies.py.orig
 +++ synapse/python_dependencies.py
-@@ -83,9 +83,6 @@ REQUIREMENTS = [
+@@ -82,9 +82,6 @@ REQUIREMENTS = [
      "Jinja2>=2.9",
      "bleach>=1.4.3",
      "typing-extensions>=3.7.4",
 -    # We enforce that we have a `cryptography` version that bundles an `openssl`
 -    # with the latest security patches.
 -    "cryptography>=3.4.7",
+     "ijson>=3.0",
  ]
  
- CONDITIONAL_REQUIREMENTS = {
blob - 98cae81de2a9512ed2a307ff8928106c8307207d
file + net/synapse/pkg/PLIST
--- net/synapse/pkg/PLIST
+++ net/synapse/pkg/PLIST
@@ -24,7 +24,9 @@ lib/python${MODPY_VERSION}/site-packages/synapse/_scri
 ${MODPY_COMMENT}lib/python${MODPY_VERSION}/site-packages/synapse/_scripts/${MODPY_PYCACHE}/
 lib/python${MODPY_VERSION}/site-packages/synapse/_scripts/${MODPY_PYCACHE}__init__.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/_scripts/${MODPY_PYCACHE}register_new_matrix_user.${MODPY_PYC_MAGIC_TAG}pyc
+lib/python${MODPY_VERSION}/site-packages/synapse/_scripts/${MODPY_PYCACHE}review_recent_signups.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/_scripts/register_new_matrix_user.py
+lib/python${MODPY_VERSION}/site-packages/synapse/_scripts/review_recent_signups.py
 lib/python${MODPY_VERSION}/site-packages/synapse/api/
 lib/python${MODPY_VERSION}/site-packages/synapse/api/__init__.py
 ${MODPY_COMMENT}lib/python${MODPY_VERSION}/site-packages/synapse/api/${MODPY_PYCACHE}/
@@ -115,6 +117,7 @@ lib/python${MODPY_VERSION}/site-packages/synapse/confi
 lib/python${MODPY_VERSION}/site-packages/synapse/config/${MODPY_PYCACHE}key.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/config/${MODPY_PYCACHE}logger.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/config/${MODPY_PYCACHE}metrics.${MODPY_PYC_MAGIC_TAG}pyc
+lib/python${MODPY_VERSION}/site-packages/synapse/config/${MODPY_PYCACHE}modules.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/config/${MODPY_PYCACHE}oidc.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/config/${MODPY_PYCACHE}password_auth_providers.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/config/${MODPY_PYCACHE}push.${MODPY_PYC_MAGIC_TAG}pyc
@@ -157,6 +160,7 @@ lib/python${MODPY_VERSION}/site-packages/synapse/confi
 lib/python${MODPY_VERSION}/site-packages/synapse/config/key.py
 lib/python${MODPY_VERSION}/site-packages/synapse/config/logger.py
 lib/python${MODPY_VERSION}/site-packages/synapse/config/metrics.py
+lib/python${MODPY_VERSION}/site-packages/synapse/config/modules.py
 lib/python${MODPY_VERSION}/site-packages/synapse/config/oidc.py
 lib/python${MODPY_VERSION}/site-packages/synapse/config/password_auth_providers.py
 lib/python${MODPY_VERSION}/site-packages/synapse/config/push.py
@@ -254,8 +258,6 @@ lib/python${MODPY_VERSION}/site-packages/synapse/handl
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/${MODPY_PYCACHE}_base.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/${MODPY_PYCACHE}account_data.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/${MODPY_PYCACHE}account_validity.${MODPY_PYC_MAGIC_TAG}pyc
-lib/python${MODPY_VERSION}/site-packages/synapse/handlers/${MODPY_PYCACHE}acme.${MODPY_PYC_MAGIC_TAG}pyc
-lib/python${MODPY_VERSION}/site-packages/synapse/handlers/${MODPY_PYCACHE}acme_issuing_service.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/${MODPY_PYCACHE}admin.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/${MODPY_PYCACHE}appservice.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/${MODPY_PYCACHE}auth.${MODPY_PYC_MAGIC_TAG}pyc
@@ -287,6 +289,7 @@ lib/python${MODPY_VERSION}/site-packages/synapse/handl
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/${MODPY_PYCACHE}room_member_worker.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/${MODPY_PYCACHE}saml.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/${MODPY_PYCACHE}search.${MODPY_PYC_MAGIC_TAG}pyc
+lib/python${MODPY_VERSION}/site-packages/synapse/handlers/${MODPY_PYCACHE}send_email.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/${MODPY_PYCACHE}set_password.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/${MODPY_PYCACHE}space_summary.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/${MODPY_PYCACHE}sso.${MODPY_PYC_MAGIC_TAG}pyc
@@ -298,8 +301,6 @@ lib/python${MODPY_VERSION}/site-packages/synapse/handl
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/_base.py
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/account_data.py
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/account_validity.py
-lib/python${MODPY_VERSION}/site-packages/synapse/handlers/acme.py
-lib/python${MODPY_VERSION}/site-packages/synapse/handlers/acme_issuing_service.py
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/admin.py
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/appservice.py
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/auth.py
@@ -331,6 +332,7 @@ lib/python${MODPY_VERSION}/site-packages/synapse/handl
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/room_member_worker.py
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/saml.py
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/search.py
+lib/python${MODPY_VERSION}/site-packages/synapse/handlers/send_email.py
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/set_password.py
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/space_summary.py
 lib/python${MODPY_VERSION}/site-packages/synapse/handlers/sso.py
@@ -387,6 +389,7 @@ lib/python${MODPY_VERSION}/site-packages/synapse/loggi
 lib/python${MODPY_VERSION}/site-packages/synapse/logging/${MODPY_PYCACHE}context.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/logging/${MODPY_PYCACHE}filter.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/logging/${MODPY_PYCACHE}formatter.${MODPY_PYC_MAGIC_TAG}pyc
+lib/python${MODPY_VERSION}/site-packages/synapse/logging/${MODPY_PYCACHE}handlers.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/logging/${MODPY_PYCACHE}opentracing.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/logging/${MODPY_PYCACHE}scopecontextmanager.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/logging/${MODPY_PYCACHE}utils.${MODPY_PYC_MAGIC_TAG}pyc
@@ -396,6 +399,7 @@ lib/python${MODPY_VERSION}/site-packages/synapse/loggi
 lib/python${MODPY_VERSION}/site-packages/synapse/logging/context.py
 lib/python${MODPY_VERSION}/site-packages/synapse/logging/filter.py
 lib/python${MODPY_VERSION}/site-packages/synapse/logging/formatter.py
+lib/python${MODPY_VERSION}/site-packages/synapse/logging/handlers.py
 lib/python${MODPY_VERSION}/site-packages/synapse/logging/opentracing.py
 lib/python${MODPY_VERSION}/site-packages/synapse/logging/scopecontextmanager.py
 lib/python${MODPY_VERSION}/site-packages/synapse/logging/utils.py
@@ -405,8 +409,10 @@ ${MODPY_COMMENT}lib/python${MODPY_VERSION}/site-packag
 lib/python${MODPY_VERSION}/site-packages/synapse/metrics/${MODPY_PYCACHE}__init__.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/metrics/${MODPY_PYCACHE}_exposition.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/metrics/${MODPY_PYCACHE}background_process_metrics.${MODPY_PYC_MAGIC_TAG}pyc
+lib/python${MODPY_VERSION}/site-packages/synapse/metrics/${MODPY_PYCACHE}jemalloc.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/metrics/_exposition.py
 lib/python${MODPY_VERSION}/site-packages/synapse/metrics/background_process_metrics.py
+lib/python${MODPY_VERSION}/site-packages/synapse/metrics/jemalloc.py
 lib/python${MODPY_VERSION}/site-packages/synapse/module_api/
 lib/python${MODPY_VERSION}/site-packages/synapse/module_api/__init__.py
 ${MODPY_COMMENT}lib/python${MODPY_VERSION}/site-packages/synapse/module_api/${MODPY_PYCACHE}/
@@ -501,7 +507,6 @@ lib/python${MODPY_VERSION}/site-packages/synapse/repli
 lib/python${MODPY_VERSION}/site-packages/synapse/replication/slave/storage/${MODPY_PYCACHE}receipts.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/replication/slave/storage/${MODPY_PYCACHE}registration.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/replication/slave/storage/${MODPY_PYCACHE}room.${MODPY_PYC_MAGIC_TAG}pyc
-lib/python${MODPY_VERSION}/site-packages/synapse/replication/slave/storage/${MODPY_PYCACHE}transactions.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/replication/slave/storage/_base.py
 lib/python${MODPY_VERSION}/site-packages/synapse/replication/slave/storage/_slaved_id_tracker.py
 lib/python${MODPY_VERSION}/site-packages/synapse/replication/slave/storage/account_data.py
@@ -520,7 +525,6 @@ lib/python${MODPY_VERSION}/site-packages/synapse/repli
 lib/python${MODPY_VERSION}/site-packages/synapse/replication/slave/storage/receipts.py
 lib/python${MODPY_VERSION}/site-packages/synapse/replication/slave/storage/registration.py
 lib/python${MODPY_VERSION}/site-packages/synapse/replication/slave/storage/room.py
-lib/python${MODPY_VERSION}/site-packages/synapse/replication/slave/storage/transactions.py
 lib/python${MODPY_VERSION}/site-packages/synapse/replication/tcp/
 lib/python${MODPY_VERSION}/site-packages/synapse/replication/tcp/__init__.py
 ${MODPY_COMMENT}lib/python${MODPY_VERSION}/site-packages/synapse/replication/tcp/${MODPY_PYCACHE}/
@@ -672,6 +676,7 @@ lib/python${MODPY_VERSION}/site-packages/synapse/rest/
 lib/python${MODPY_VERSION}/site-packages/synapse/rest/client/v2_alpha/${MODPY_PYCACHE}filter.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/rest/client/v2_alpha/${MODPY_PYCACHE}groups.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/rest/client/v2_alpha/${MODPY_PYCACHE}keys.${MODPY_PYC_MAGIC_TAG}pyc
+lib/python${MODPY_VERSION}/site-packages/synapse/rest/client/v2_alpha/${MODPY_PYCACHE}knock.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/rest/client/v2_alpha/${MODPY_PYCACHE}notifications.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/rest/client/v2_alpha/${MODPY_PYCACHE}openid.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/rest/client/v2_alpha/${MODPY_PYCACHE}password_policy.${MODPY_PYC_MAGIC_TAG}pyc
@@ -699,6 +704,7 @@ lib/python${MODPY_VERSION}/site-packages/synapse/rest/
 lib/python${MODPY_VERSION}/site-packages/synapse/rest/client/v2_alpha/filter.py
 lib/python${MODPY_VERSION}/site-packages/synapse/rest/client/v2_alpha/groups.py
 lib/python${MODPY_VERSION}/site-packages/synapse/rest/client/v2_alpha/keys.py
+lib/python${MODPY_VERSION}/site-packages/synapse/rest/client/v2_alpha/knock.py
 lib/python${MODPY_VERSION}/site-packages/synapse/rest/client/v2_alpha/notifications.py
 lib/python${MODPY_VERSION}/site-packages/synapse/rest/client/v2_alpha/openid.py
 lib/python${MODPY_VERSION}/site-packages/synapse/rest/client/v2_alpha/password_policy.py
@@ -889,6 +895,7 @@ lib/python${MODPY_VERSION}/site-packages/synapse/stora
 lib/python${MODPY_VERSION}/site-packages/synapse/storage/databases/main/${MODPY_PYCACHE}filtering.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/storage/databases/main/${MODPY_PYCACHE}group_server.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/storage/databases/main/${MODPY_PYCACHE}keys.${MODPY_PYC_MAGIC_TAG}pyc
+lib/python${MODPY_VERSION}/site-packages/synapse/storage/databases/main/${MODPY_PYCACHE}lock.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/storage/databases/main/${MODPY_PYCACHE}media_repository.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/storage/databases/main/${MODPY_PYCACHE}metrics.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/storage/databases/main/${MODPY_PYCACHE}monthly_active_users.${MODPY_PYC_MAGIC_TAG}pyc
@@ -934,6 +941,7 @@ lib/python${MODPY_VERSION}/site-packages/synapse/stora
 lib/python${MODPY_VERSION}/site-packages/synapse/storage/databases/main/filtering.py
 lib/python${MODPY_VERSION}/site-packages/synapse/storage/databases/main/group_server.py
 lib/python${MODPY_VERSION}/site-packages/synapse/storage/databases/main/keys.py
+lib/python${MODPY_VERSION}/site-packages/synapse/storage/databases/main/lock.py
 lib/python${MODPY_VERSION}/site-packages/synapse/storage/databases/main/media_repository.py
 lib/python${MODPY_VERSION}/site-packages/synapse/storage/databases/main/metrics.py
 lib/python${MODPY_VERSION}/site-packages/synapse/storage/databases/main/monthly_active_users.py
